Get Transactions For Account
Obtain transactions for a specific account.
Some general notes that apply to all end points that retrieve transactions:
- Where multiple transactions are returned, transactions should be ordered according to effective date in descending order
- As the date and time for a transaction can alter depending on status and transaction type two separate date/times are included in the payload. There are still some scenarios where neither of these time stamps is available. For the purpose of filtering and ordering it is expected that the data holder will use the “effective” date/time which will be defined as:
- Posted date/time if available, then
- Execution date/time if available, then
- A reasonable date/time nominated by the data holder using internal data structures
- For transaction amounts it should be assumed that a negative value indicates a reduction of the available balance on the account while a positive value indicates an increase in the available balance on the account
- For aggregated transactions (ie. groups of sub transactions reported as a single entry for the account) only the aggregated information, with as much consistent information across the subsidiary transactions as possible, is required to be shared
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
ID of a specific account to obtain data for.
Query Parameters
Constrain the request to records with effective time at or after this date/time. If absent defaults to newest-time minus 12 months. Format is an RFC3339 Datetime string.
Constrain the request to records with effective time at or before this date/time. If absent defaults to current date/time. Format is an RFC3339 Datetime string.
Filter transactions to only transactions with amounts higher than or equal to this amount
Filter transactions to only transactions with amounts less than or equal to this amount
Filter transactions to only transactions where this string value is found as a substring of either the reference or description fields. Format is arbitrary ASCII string. This parameter is optionally implemented by data holders. If it is not implemented then a response should be provided as normal without text filtering applied and an additional boolean field named isQueryParamUnsupported should be included in the meta object and set to true (whether the text parameter is supplied or not)
Page of results to request (standard pagination)
Page size to request. Default is 25 (standard pagination)
Response
List of transactions for the account in descending order of effective timestamp
URL Query parameters to obtain different pages of the response. Fiskil will combine these with the rest of the request URL to build full link URLs in the final response.
{
"first": "page=1&page-size=25&oldest-date=2023-04-24",
"last": "page=4&page-size=25&oldest-date=2023-04-24",
"next": "page=3&page-size=25&oldest-date=2023-04-24",
"prev": "page=1&page-size=25&oldest-date=2023-04-24"
}{ "totalRecords": 150, "totalPages": 6 }